Knowledge Retrieval - Retrieve
知識庫會從支援存放區擷取相關資料。
POST {endpoint}/knowledgebases('{knowledgeBaseName}')/retrieve?api-version=2026-11-01-preview
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
搜尋服務的端點 URL。 |
|
knowledge
|
path | True |
string |
知識庫名稱。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| Accept |
Accept 標頭。 |
||
| x-ms-query-source-authorization |
string (password) |
識別正在執行查詢的使用者的權杖。 此權杖可用來對文件強制執行安全性限制。 |
|
| x-ms-query-work-iq-source-authorization |
string (password) |
用戶聲明令牌用於客戶擁有的 Entra 應用程式註冊,設定在 Work IQ 知識來源上。 用於代表 Work IQ API 的認證。 |
|
| x-ms-client-request-id |
string (uuid) |
要求不透明、全域唯一、用戶端產生的字串標識碼。 |
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| includeActivity |
boolean |
表示擷取結果應包含活動資訊。 |
| intents | KnowledgeRetrievalIntent[]: |
在沒有模型查詢規劃的情況下執行的預期查詢清單。 |
| knowledgeSourceParams |
KnowledgeSourceParams[]:
|
知識來源的執行階段參數清單。 |
| maxOutputDocuments |
integer (int32) |
限制輸出中最大文件數量。 |
| maxOutputSize |
integer (int32) |
限制輸出中內容的大小上限。 |
| maxOutputSizeInTokens |
integer (int32) |
限制輸出中內容的大小上限。 |
| maxRuntimeInSeconds |
integer (int32) |
執行時間上限 (以秒為單位)。 |
| messages |
聊天訊息樣式輸入的清單。 |
|
| outputMode |
此擷取的輸出組態。 |
|
| retrievalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
檢索推理努力的配置。 |
| toolName |
string |
要選取的工具。 在 KB 全域擷取時省略。 |
回覆
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
成功取回。 |
|
| Other Status Codes |
部分取回反應。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
api-key
類型:
apiKey
位於:
header
OAuth2Auth
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
範圍
| 名稱 | Description |
|---|---|
| https://search.azure.com/.default |
範例
|
Knowledge |
|
Knowledge |
|
Knowledge |
|
Knowledge |
KnowledgeBaseRetrieve
範例要求
POST https://typespecpreviewexampleservice.search.windows.net/knowledgebases('base-preview-test')/retrieve?api-version=2026-11-01-preview
{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "hello world"
}
]
}
],
"maxRuntimeInSeconds": 60,
"maxOutputSize": 100000,
"maxOutputDocuments": 50,
"retrievalReasoningEffort": {
"kind": "low"
},
"includeActivity": true,
"outputMode": "answerSynthesis",
"knowledgeSourceParams": [
{
"knowledgeSourceName": "ks-preview-test",
"includeReferences": true,
"includeReferenceSourceData": true,
"alwaysQuerySource": false,
"neverQuerySource": false,
"failOnError": false,
"rerankerThreshold": 2.1,
"resultsProcessing": "rerank",
"kind": "searchIndex",
"filterAddOn": "foo eq bar",
"queryHintOverrides": {
"filters": [
{
"field": "country",
"fieldValues": [
"United States",
"Japan",
"France",
"Germany"
],
"filterInstructions": "Country associated with the document."
}
],
"boosts": [
{
"kind": "fieldValue",
"boostInstructions": "Prefer documents matching the user's locale.",
"field": "language",
"fieldValues": [
"en-US",
"ja-JP",
"fr-FR",
"de-DE"
],
"boost": 1.5
}
]
},
"topicGraph": {
"kind": "diverse",
"diversityFactor": 0.1
}
}
],
"toolName": "product-search"
}
範例回覆
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "modelQueryPlanning",
"id": 0,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "searchIndex",
"id": 1,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "hello world",
"filter": "((category eq 'news') and ((id ne null) and (foo eq bar))) and (Key eq 'myDocKey1')",
"semanticConfigurationName": "testconfig",
"queryType": "simple",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": []
},
"queryHintProcessing": {
"generatedFilter": "Key eq 'myDocKey1'"
}
},
{
"type": "searchIndex",
"id": 2,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "hello world two",
"filter": "((category eq 'news') and ((id ne null) and (foo eq bar))) and (Key eq 'myDocKey1')",
"semanticConfigurationName": "testconfig",
"queryType": "simple",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": []
},
"queryHintProcessing": {
"generatedFilter": "Key eq 'myDocKey1'"
}
},
{
"type": "modelAnswerSynthesis",
"id": 3,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "agenticReasoning",
"id": 4,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"reasoningTokens": 78,
"retrievalReasoningEffort": {
"kind": "low"
},
"logicalReasoningEffort": {
"kind": "low"
}
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 1,
"rerankerScore": 4,
"docKey": "myDocKey1",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey1?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
}
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 1,
"rerankerScore": 3.9,
"docKey": "myDocKey2",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey2?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
}
}
]
}
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "modelQueryPlanning",
"id": 0,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "searchIndex",
"id": 1,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "hello world",
"filter": "((category eq 'news') and ((id ne null) and (foo eq bar))) and (Key eq 'myDocKey1')",
"semanticConfigurationName": "testconfig",
"queryType": "simple",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": []
},
"queryHintProcessing": {
"generatedFilter": "Key eq 'myDocKey1'"
}
},
{
"type": "searchIndex",
"id": 2,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "hello world two",
"filter": "((category eq 'news') and ((id ne null) and (foo eq bar))) and (Key eq 'myDocKey1')",
"semanticConfigurationName": "testconfig",
"queryType": "simple",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": []
},
"queryHintProcessing": {
"generatedFilter": "Key eq 'myDocKey1'"
}
},
{
"type": "modelAnswerSynthesis",
"id": 3,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "agenticReasoning",
"id": 4,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"reasoningTokens": 78,
"retrievalReasoningEffort": {
"kind": "low"
},
"logicalReasoningEffort": {
"kind": "low"
}
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 1,
"rerankerScore": 4,
"docKey": "myDocKey1",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey1?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
}
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 1,
"rerankerScore": 3.9,
"docKey": "myDocKey2",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey2?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
}
}
]
}
KnowledgeBaseRetrieveAzureBlobImageServing
範例要求
POST https://typespecpreviewexampleservice.search.windows.net/knowledgebases('base-azureblob-preview-test')/retrieve?api-version=2026-11-01-preview
{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "hello world"
}
]
}
],
"maxRuntimeInSeconds": 60,
"maxOutputSize": 100000,
"maxOutputDocuments": 50,
"retrievalReasoningEffort": {
"kind": "low"
},
"includeActivity": true,
"outputMode": "answerSynthesis",
"knowledgeSourceParams": [
{
"knowledgeSourceName": "azureblob-ks-preview-test",
"includeReferences": true,
"includeReferenceSourceData": true,
"alwaysQuerySource": false,
"failOnError": false,
"rerankerThreshold": 2.1,
"kind": "azureBlob",
"enableImageServing": true,
"topicGraph": {
"kind": "diverse",
"diversityFactor": 0.1
}
}
]
}
範例回覆
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "modelQueryPlanning",
"id": 0,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "azureBlob",
"id": 1,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "azureblob-ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"azureBlobArguments": {
"search": "hello world"
},
"imageServing": {
"imagesRetrieved": 2,
"imagesSentToModel": 1,
"totalImageSizeBytes": 631,
"verbalizationUsed": true,
"servedImages": [
{
"imageId": "1.1",
"imagePath": "doc/normalized_images_0.jpg",
"sizeBytes": 631
}
]
}
},
{
"type": "azureBlob",
"id": 2,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "azureblob-ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"azureBlobArguments": {
"search": "hello world two"
}
},
{
"type": "modelAnswerSynthesis",
"id": 3,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "agenticReasoning",
"id": 4,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"reasoningTokens": 78,
"retrievalReasoningEffort": {
"kind": "low"
},
"logicalReasoningEffort": {
"kind": "low"
}
}
],
"references": [
{
"type": "azureBlob",
"id": "83dd7d40",
"activitySource": 1,
"rerankerScore": 4,
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/azureblob-ks-preview-test-index/docs/myDocKey1?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world",
"image_path": "1.1:doc/normalized_images_0.jpg"
}
},
{
"type": "azureBlob",
"id": "83dd7d41",
"activitySource": 1,
"rerankerScore": 3.9,
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/azureblob-ks-preview-test-index/docs/myDocKey2?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world",
"image_path": "3.2:doc/normalized_images_1.jpg"
}
}
]
}
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "modelQueryPlanning",
"id": 0,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "azureBlob",
"id": 1,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "azureblob-ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"azureBlobArguments": {
"search": "hello world"
},
"imageServing": {
"imagesRetrieved": 2,
"imagesSentToModel": 1,
"totalImageSizeBytes": 631,
"verbalizationUsed": true,
"servedImages": [
{
"imageId": "1.1",
"imagePath": "doc/normalized_images_0.jpg",
"sizeBytes": 631
}
]
}
},
{
"type": "azureBlob",
"id": 2,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "azureblob-ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"azureBlobArguments": {
"search": "hello world two"
}
},
{
"type": "modelAnswerSynthesis",
"id": 3,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"inputTokens": 11,
"outputTokens": 22,
"elapsedMs": 1234,
"model": {
"modelName": "gpt-4o",
"deploymentId": "gpt-4o-deployment"
}
},
{
"type": "agenticReasoning",
"id": 4,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"reasoningTokens": 78,
"retrievalReasoningEffort": {
"kind": "low"
},
"logicalReasoningEffort": {
"kind": "low"
}
}
],
"references": [
{
"type": "azureBlob",
"id": "83dd7d40",
"activitySource": 1,
"rerankerScore": 4,
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/azureblob-ks-preview-test-index/docs/myDocKey1?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world",
"image_path": "1.1:doc/normalized_images_0.jpg"
}
},
{
"type": "azureBlob",
"id": "83dd7d41",
"activitySource": 1,
"rerankerScore": 3.9,
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/azureblob-ks-preview-test-index/docs/myDocKey2?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world",
"image_path": "3.2:doc/normalized_images_1.jpg"
}
}
]
}
KnowledgeBaseRetrieveGraph
範例要求
POST https://typespecpreviewexampleservice.search.windows.net/knowledgebases('people-kb')/retrieve?api-version=2026-11-01-preview
{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Who employs Ada?"
}
]
}
],
"includeActivity": true,
"outputMode": "extractiveData",
"knowledgeSourceParams": [
{
"knowledgeSourceName": "people-documents",
"includeReferences": true,
"includeReferenceSourceData": true,
"kind": "azureBlob",
"graphParameters": {
"provenance": {
"kind": "hydrate",
"hydrateDocuments": {
"select": "uid,snippet",
"top": 5
}
},
"includeQuery": true
}
}
]
}
範例回覆
{
"response": [],
"activity": [
{
"type": "graphSearch",
"id": 1,
"knowledgeSourceName": "people-documents",
"count": 1,
"graphSearchArguments": {
"naturalLanguageQuery": "Who employs Ada?",
"graphIndexName": "people-graph",
"gql": "MATCH (p:Person)-[:worksFor]->(o:Organization) RETURN o.name AS organization",
"outcome": "Success",
"attempts": 1,
"inputTokens": 180,
"outputTokens": 32,
"modelElapsedMs": 420,
"modelName": "gpt-4o-mini"
}
}
],
"references": [
{
"type": "graphSearch",
"id": "83dd7d40",
"activitySource": 1,
"graphIndexName": "people-graph",
"sourceData": {
"columns": [
"organization"
],
"rows": [
{
"organization": "Contoso"
}
],
"attempts": 1,
"elapsedMs": 450
}
},
{
"type": "graphSearch",
"id": "83dd7d41",
"activitySource": 1,
"graphIndexName": "people-graph",
"sourceData": {
"uid": "chunk-1",
"snippet": "Ada works for Contoso."
}
}
]
}
{
"response": [],
"activity": [
{
"type": "graphSearch",
"id": 1,
"knowledgeSourceName": "people-documents",
"count": 1,
"graphSearchArguments": {
"naturalLanguageQuery": "Who employs Ada?",
"graphIndexName": "people-graph",
"gql": "MATCH (p:Person)-[:worksFor]->(o:Organization) RETURN o.name AS organization",
"outcome": "Success",
"attempts": 1,
"inputTokens": 180,
"outputTokens": 32,
"modelElapsedMs": 420,
"modelName": "gpt-4o-mini"
}
}
],
"references": [
{
"type": "graphSearch",
"id": "83dd7d40",
"activitySource": 1,
"graphIndexName": "people-graph",
"sourceData": {
"columns": [
"organization"
],
"rows": [
{
"organization": "Contoso"
}
],
"attempts": 1,
"elapsedMs": 450
}
},
{
"type": "graphSearch",
"id": "83dd7d41",
"activitySource": 1,
"graphIndexName": "people-graph",
"sourceData": {
"uid": "chunk-1",
"snippet": "Ada works for Contoso."
}
}
]
}
KnowledgeBaseRetrieveWithIntents
範例要求
POST https://typespecpreviewexampleservice.search.windows.net/knowledgebases('base-preview-test')/retrieve?api-version=2026-11-01-preview
{
"intents": [
{
"type": "semantic",
"search": "foo"
}
],
"maxRuntimeInSeconds": 60,
"maxOutputSize": 100000,
"maxOutputDocuments": 50,
"retrievalReasoningEffort": {
"kind": "minimal"
},
"includeActivity": true,
"outputMode": "extractiveData",
"knowledgeSourceParams": [
{
"knowledgeSourceName": "ks-preview-test",
"includeReferences": true,
"includeReferenceSourceData": true,
"alwaysQuerySource": true,
"failOnError": true,
"rerankerThreshold": 2.1,
"resultsProcessing": "rerank",
"kind": "searchIndex",
"filterAddOn": "foo eq bar",
"topicGraph": {
"kind": "diverse",
"diversityFactor": 0.1
}
}
],
"toolName": "product-search"
}
範例回覆
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "searchIndex",
"id": 0,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "foo",
"filter": "(category eq 'news') and ((id ne null) and (foo eq bar))",
"semanticConfigurationName": "testconfig",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": []
}
},
{
"type": "agenticReasoning",
"id": 1,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"reasoningTokens": 39,
"retrievalReasoningEffort": {
"kind": "minimal"
},
"logicalReasoningEffort": {
"kind": "minimal"
}
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 0,
"rerankerScore": 4,
"docKey": "myDocKey1",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey1?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
}
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 0,
"rerankerScore": 3.9,
"docKey": "myDocKey2",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey2?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
}
}
]
}
{
"response": [
{
"content": [
{
"type": "text",
"text": "[{...}]"
}
]
}
],
"activity": [
{
"type": "searchIndex",
"id": 0,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"knowledgeSourceName": "ks-preview-test",
"queryTime": "2025-01-01T00:08:45.045Z",
"count": 2,
"elapsedMs": 1234,
"searchIndexArguments": {
"search": "foo",
"filter": "(category eq 'news') and ((id ne null) and (foo eq bar))",
"semanticConfigurationName": "testconfig",
"sourceDataFields": [
{
"name": "category"
},
{
"name": "description"
},
{
"name": "ownerId"
},
{
"name": "id"
}
],
"searchFields": []
}
},
{
"type": "agenticReasoning",
"id": 1,
"startedAt": "2025-01-01T00:08:45.045Z",
"completedAt": "2025-01-01T00:08:46.279Z",
"reasoningTokens": 39,
"retrievalReasoningEffort": {
"kind": "minimal"
},
"logicalReasoningEffort": {
"kind": "minimal"
}
}
],
"references": [
{
"type": "searchIndex",
"id": "83dd7d40",
"activitySource": 0,
"rerankerScore": 4,
"docKey": "myDocKey1",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey1?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey1",
"title": "high_doc",
"content": "hello world"
}
},
{
"type": "searchIndex",
"id": "83dd7d41",
"activitySource": 0,
"rerankerScore": 3.9,
"docKey": "myDocKey2",
"citationUrl": "https://typespecpreviewexampleservice.search.windows.net/indexes/preview-test/docs/myDocKey2?$select=category%2Cdescription%2CownerId%2Cid&api-version=2026-11-01-preview&allowUnsafeKeys=true",
"sourceData": {
"id": "myDocKey2",
"title": "low_doc",
"content": "goodbye world"
}
}
]
}
定義
Accept
Accept 標頭。
| 值 | Description |
|---|---|
| application/json;odata.metadata=minimal |
AgentRuntimeGraphHydrateDocumentsParams
知識檢索回傳的水合原始文件的選取與數量限制。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| select |
string |
包含逗號分隔的可檢索來源欄位。 |
|
| top |
integer (int32) minimum: 1maximum: 100 |
50 |
要回傳的最大含水文件數。 預設為 50;這與圖形列數無關。 |
AgentRuntimeGraphParams
擷取過程中,針對啟用圖形的 Azure Blob 知識來源進行特定圖形的覆寫。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| includeQuery |
boolean |
False |
在 graphSearchArguments.gql 中包含產生的 GQL。 省略或錯誤不會顯示產生的查詢文字。 |
| provenance |
控制是否回傳支援圖表結果的來源文件。 |
AgentRuntimeGraphProvenanceParams
資料來源文件水合政策,用於知識檢索圖結果。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| hydrateDocuments |
來源文件選項;僅當類型為 hydrate 時才有效。 |
||
| kind | none |
圖擷取是僅回傳圖形列,還是同時對來源文件進行水合。 |
AzureBlobKnowledgeSourceParams
指定 Azure Blob 知識來源的執行階段參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| graphParameters |
啟用圖形的來源的圖形查詢可見性與來源文件水合選項。 |
|
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
azure |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
|
| topicGraph | VectorQueryTopicGraph: |
在此擷取時覆寫知識來源儲存的 topicGraph。 若省略,則適用儲存的知識來源值。 |
BalancedVectorQueryTopicGraph
將純向量相似性與多樣性感知檢索結合。 建議預設選擇在多樣性與相關性之間取得平衡。
| 名稱 | 類型 | Description |
|---|---|---|
| kind |
string:
balanced |
該使用的主題圖向量搜尋類型。 |
| minDiversityPoolSize |
integer (int32) minimum: 250maximum: 10000 |
在主題圖抽樣前,需檢索的最小向量候選數量。 預設值為 1,000。 |
DiverseVectorQueryTopicGraph
採用主題圖譜多樣化檢索。
| 名稱 | 類型 | Description |
|---|---|---|
| diversityFactor |
number (float) minimum: 0maximum: 1 |
主題圖多樣性檢索所使用的多樣性因子。 若省略,則會使用主題圖表設定檔中預設設定的設定。 |
| kind |
string:
diverse |
該使用的主題圖向量搜尋類型。 |
| minDiversityPoolSize |
integer (int32) minimum: 250maximum: 10000 |
在主題圖抽樣前,需檢索的最小向量候選數量。 預設值為 1,000。 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
其他資訊。 |
|
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤的其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |
FabricDataAgentKnowledgeSourceParams
指定 Fabric Data Agent 知識來源的執行時參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
fabric |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
FabricOntologyKnowledgeSourceParams
指定 Fabric 本體知識來源的執行時參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
fabric |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
FileKnowledgeSourceParams
指定檔案知識來源的執行時參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
file |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
ImageServingStatistics
關於檢索活動期間影像服務的統計數據。
| 名稱 | 類型 | Description |
|---|---|---|
| imagesRetrieved |
integer (int32) |
從資產商店取得的圖片數量。 |
| imagesSentToModel |
integer (int32) |
傳送到下游模型的影像數量。 |
| servedImages |
模型選擇提供給下游模型進行此檢索活動的影像集合。 |
|
| totalImageSizeBytes |
integer (int64) |
以位元組計,傳送到模型的影像總大小。 |
| verbalizationUsed |
boolean |
表示是否使用了影像口述而非直接影像傳遞。 |
IndexedOneLakeKnowledgeSourceParams
指定索引 OneLake 知識來源的執行階段參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
indexed |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
IndexedSharePointKnowledgeSourceParams
指定已編製索引的 SharePoint 知識來源的執行階段參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
indexed |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
IndexedSqlKnowledgeSourceParams
指定索引 SQL 知識來源的執行時參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
indexed |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
KnowledgeBaseActivityRecordModel
代表用於知識庫 LLM 活動的模型,包括其模型名稱與部署識別碼。
| 名稱 | 類型 | Description |
|---|---|---|
| deploymentId |
string |
用於該活動的模型的部署識別碼。 |
| modelName |
string |
活動所用的型號名稱。 |
KnowledgeBaseActivityRecordType
活動紀錄的類型。
| 值 | Description |
|---|---|
| graphSearch |
在支援圖形的知識來源上進行圖檢索。 |
| searchIndex |
搜尋索引檢索活動。 |
| azureBlob |
Azure Blob retrieval activity. |
| indexedSharePoint |
索引 SharePoint 檢索活動。 |
| indexedOneLake |
索引 OneLake 檢索活動。 |
| web |
網路檢索活動。 |
| remoteSharePoint |
遠端 SharePoint 檢索活動。 |
| workIQ |
WorkIQ 檢索活動。 |
| fabricDataAgent |
Fabric Data Agent 檢索活動。 |
| fabricOntology |
Fabric 本體檢索活動。 |
| mcpServer |
MCP 伺服器檢索活動。 |
| file |
檔案檢索活動。 |
| indexedSql |
索引 SQL 檢索活動。 |
| modelQueryPlanning |
LLM 查詢規劃活動。 |
| modelAnswerSynthesis |
LLM 答案綜合活動。 |
| modelWebSummarization |
大型語言模型網頁摘要活動。 |
| agenticReasoning |
行動推理活動。 |
KnowledgeBaseAgenticReasoningActivityRecord
代表代理推理活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| logicalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
客戶所要求的邏輯推理努力。 這與 |
| reasoningTokens |
integer (int32) |
代理推理的輸入記號數目。 |
| retrievalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
檢索推理努力的配置。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
agentic |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseAzureBlobActivityArguments
代表執行 Azure Blob 擷取活動時所使用的引數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用來查詢 Blob 內容的搜尋字串。 |
KnowledgeBaseAzureBlobActivityRecord
代表 Azure Blob 擷取活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| azureBlobArguments |
擷取活動的 Azure Blob 引數。 |
|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
azure |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseAzureBlobReference
代表 Azure Blob 儲存體檔參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| blobUrl |
string |
參考的 Blob URL。 |
| citationUrl |
string (uri) |
一個由搜尋擁有的網址,指向此參考文獻的後盾文件,可用作引用目標。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| searchSensitivityLabelInfo |
參考文獻的敏感度標籤資訊。 |
|
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
azure |
參考的類型。 |
KnowledgeBaseErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
其他資訊。 |
|
| type |
string |
其他信息類型。 |
KnowledgeBaseErrorDetail
錯誤詳情
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤的其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
KnowledgeBaseFabricDataAgentActivityArguments
代表 Fabric Data Agent 檢索活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用於查詢 Fabric Data Agent 知識來源的搜尋字串。 |
KnowledgeBaseFabricDataAgentActivityRecord
代表 Fabric Data Agent 的檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| fabricDataAgentArguments |
Fabric Data Agent 為檢索活動提供參數。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
fabric |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseFabricDataAgentReference
代表 Fabric Data Agent 文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| dataAgentId |
string |
Fabric 資料代理 ID。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
fabric |
參考的類型。 |
| workspaceId |
string |
Fabric 工作區的 ID。 |
KnowledgeBaseFabricOntologyActivityArguments
代表 Fabric 本體檢索活動所用的論點。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用於查詢 Fabric 本體知識來源的搜尋字串。 |
KnowledgeBaseFabricOntologyActivityRecord
代表 Fabric 本體檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| fabricOntologyArguments |
Fabric 本體論對檢索活動的論證。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
fabric |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseFabricOntologyReference
代表 Fabric 本體文件的參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| id |
string |
參考的 ID。 |
| ontologyId |
string |
工作空間內的本體 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
fabric |
參考的類型。 |
| workspaceId |
string |
Fabric 工作區的 ID。 |
KnowledgeBaseFileActivityArguments
代表檔案擷取活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用於查詢檔案內容的搜尋字串。 |
KnowledgeBaseFileActivityRecord
代表檔案檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| fileArguments |
檔案中擷取活動的論點。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
file |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseFileReference
代表檔案文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| citationUrl |
string (uri) |
一個由搜尋擁有的網址,指向此參考文獻的後盾文件,可用作引用目標。 |
| docName |
string |
參考文件名稱。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
file |
參考的類型。 |
KnowledgeBaseGraphSearchActivityArguments
自然語言圖請求、生成查詢可見性,以及活動的模型使用。
| 名稱 | 類型 | Description |
|---|---|---|
| attempts |
integer (int32) |
圖形迴圈所進行的查詢產生/執行嘗試次數。 |
| gql |
string |
產生的 GQL,僅在 graphParameters.includeQuery 為 true 時回傳。 |
| graphIndexName |
string |
此活動查詢的圖表索引。 |
| inputTokens |
integer (int32) |
圖形查詢產生所消耗的輸入權杖。 |
| modelElapsedMs |
integer (int64) |
模型呼叫經過時間(毫秒)。 |
| modelName |
string |
用於圖表查詢產生時回報的模型名稱。 |
| naturalLanguageQuery |
string |
提交給圖形檢索的自然語言查詢,用於此活動。 |
| outcome |
string |
圖查詢迴圈的回報結果,例如成功。 |
| outputTokens |
integer (int32) |
圖形查詢產生所消耗的輸出權杖。 |
KnowledgeBaseGraphSearchActivityRecord
針對現有支援圖形的知識來源進行的圖檢索活動。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| graphSearchArguments |
此活動的圖形查詢產生與執行詳細資訊。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
graph |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseGraphSearchReference
由圖形式知識檢索回傳的圖形結果或經水合的原始文件。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| graphIndexName |
string |
產生結果或來源文件證據的圖表索引。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
graph |
參考的類型。 |
KnowledgeBaseImageContent
圖片內容。
| 名稱 | 類型 | Description |
|---|---|---|
| url |
string (uri) |
影像的網址。 |
KnowledgeBaseIndexedOneLakeActivityArguments
代表索引 OneLake 檢索活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用於查詢索引 OneLake 內容的搜尋字串。 |
KnowledgeBaseIndexedOneLakeActivityRecord
代表一個索引的 OneLake 檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| indexedOneLakeArguments |
索引 OneLake 的檢索活動論證。 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
indexed |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseIndexedOneLakeReference
代表一個索引 OneLake 文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| citationUrl |
string (uri) |
一個由搜尋擁有的網址,指向此參考文獻的後盾文件,可用作引用目標。 |
| docUrl |
string |
參考的文件 URL。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| searchSensitivityLabelInfo |
參考文獻的敏感度標籤資訊。 |
|
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
indexed |
參考的類型。 |
KnowledgeBaseIndexedSharePointActivityArguments
代表索引 SharePoint 檢索活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用來查詢已索引的 SharePoint 內容的搜尋字串。 |
KnowledgeBaseIndexedSharePointActivityRecord
代表一個索引化的 SharePoint 檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| indexedSharePointArguments |
索引的 SharePoint 參數用於檢索活動。 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
indexed |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseIndexedSharePointReference
代表一個索引化的 SharePoint 文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| citationUrl |
string (uri) |
一個由搜尋擁有的網址,指向此參考文獻的後盾文件,可用作引用目標。 |
| docUrl |
string |
參考的文件 URL。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| searchSensitivityLabelInfo |
參考文獻的敏感度標籤資訊。 |
|
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
indexed |
參考的類型。 |
KnowledgeBaseIndexedSqlActivityArguments
代表索引 SQL 檢索活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用來查詢索引 SQL 內容的搜尋字串。 |
KnowledgeBaseIndexedSqlActivityRecord
代表一個索引化的 SQL 檢索活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| indexedSqlArguments |
索引的 SQL 參數用於擷取活動。 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
indexed |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseIndexedSqlReference
代表一個 Azure SQL 文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| citationUrl |
string (uri) |
一個由搜尋擁有的網址,指向此參考文獻的後盾文件,可用作引用目標。 |
| docUrl |
string |
參考的文件 URL。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
indexed |
參考的類型。 |
KnowledgeBaseMcpServerActivityArguments
代表 MCP 伺服器擷取活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| toolArguments |
參數會傳給 MCP 伺服器工具。 |
|
| toolName |
string |
用於檢索活動的 MCP 伺服器工具名稱。 |
KnowledgeBaseMcpServerActivityRecord
代表 MCP 伺服器檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| mcpServerArguments |
MCP 伺服器為擷取活動提供參數。 |
|
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
mcp |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseMcpServerReference
代表 MCP 伺服器文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| title |
string |
MCP 伺服器工具的標題。 |
| toolName |
string |
產生參考的 MCP 伺服器工具名稱。 |
| type |
string:
mcp |
參考的類型。 |
KnowledgeBaseMessage
自然語言訊息樣式物件。
| 名稱 | 類型 | Description |
|---|---|---|
| content | KnowledgeBaseMessageContent[]: |
訊息的內容。 |
| role |
string |
工具回應的作用。 |
KnowledgeBaseMessageContentType
訊息內容的類型。
| 值 | Description |
|---|---|
| text |
短信內容類型。 |
| image |
圖像訊息內容類型。 |
KnowledgeBaseMessageImageContent
影像訊息類型。
| 名稱 | 類型 | Description |
|---|---|---|
| image |
圖片內容。 |
|
| type |
string:
image |
訊息的類型 |
KnowledgeBaseMessageTextContent
簡訊類型。
| 名稱 | 類型 | Description |
|---|---|---|
| text |
string |
文字內容。 |
| type |
string:
text |
訊息的類型 |
KnowledgeBaseModelAnswerSynthesisActivityRecord
代表 LLM 答案綜合活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| inputTokens |
integer (int32) |
LLM 答案合成活動的輸入權杖數目。 |
| model |
用於大型語言模型答案綜合活動的模型。 |
|
| outputTokens |
integer (int32) |
LLM 答案綜合活動的輸出權杖數目。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
model |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseModelQueryPlanningActivityRecord
代表 LLM 查詢規劃活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| inputTokens |
integer (int32) |
LLM 查詢規劃活動的輸入權杖數目。 |
| model |
用於大型語言模型查詢規劃活動的模型。 |
|
| outputTokens |
integer (int32) |
LLM 查詢規劃活動的輸出權杖數目。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
model |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseModelWebSummarizationActivityRecord
代表一個大型語言模型(LLM)網頁摘要活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| inputTokens |
integer (int32) |
LLM 網頁摘要活動的輸入標記數量。 |
| model |
用於大型語言模型網頁摘要活動的模型。 |
|
| outputTokens |
integer (int32) |
LLM 網頁摘要活動的輸出代幣數量。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
model |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseQueryHintProcessing
關於查詢提示產生的運算式的詳細資訊,用於檢索活動。
| 名稱 | 類型 | Description |
|---|---|---|
| generatedBoost |
string |
搜尋條款是從提升提示產生的。 |
| generatedFilter |
string |
由過濾提示產生的過濾表達式用於此活動。 |
KnowledgeBaseReferenceType
參照的類型。
| 值 | Description |
|---|---|
| graphSearch |
圖表結果或水合圖形來源文件參考。 |
| searchIndex |
搜尋索引文件參考。 |
| azureBlob |
Azure Blob 文件參考。 |
| indexedSharePoint |
索引化的 SharePoint 文件參考。 |
| indexedOneLake |
索引 OneLake 文件參考。 |
| web |
網頁文件參考。 |
| remoteSharePoint |
遠端 SharePoint 文件參考。 |
| workIQ |
工作智商文件參考。 |
| fabricDataAgent |
Fabric 資料代理文件參考。 |
| fabricOntology |
Fabric 本體文件參考。 |
| mcpServer |
MCP 伺服器文件參考。 |
| file |
檔案文件參考。 |
| indexedSql |
索引 SQL 文件參考。 |
KnowledgeBaseRemoteSharePointActivityArguments
代表遠端 SharePoint 檢索活動所使用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| filterExpressionAddOn |
string |
篩選式外掛用於擷取活動。 |
| search |
string |
用來查詢遠端 SharePoint 知識來源的搜尋字串。 |
KnowledgeBaseRemoteSharePointActivityRecord
代表遠端 SharePoint 檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| remoteSharePointArguments |
遠端 SharePoint 參數用於擷取活動。 |
|
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
remote |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseRemoteSharePointReference
代表遠端 SharePoint 文件參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| searchSensitivityLabelInfo |
參考文獻的敏感度標籤資訊。 |
|
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
remote |
參考的類型。 |
| webUrl |
string (uri) |
參考資料的來源 URL。 |
KnowledgeBaseRetrievalRequest
擷取要求的輸入合約。
| 名稱 | 類型 | Description |
|---|---|---|
| includeActivity |
boolean |
表示擷取結果應包含活動資訊。 |
| intents | KnowledgeRetrievalIntent[]: |
在沒有模型查詢規劃的情況下執行的預期查詢清單。 |
| knowledgeSourceParams |
KnowledgeSourceParams[]:
|
知識來源的執行階段參數清單。 |
| maxOutputDocuments |
integer (int32) |
限制輸出中最大文件數量。 |
| maxOutputSize |
integer (int32) |
限制輸出中內容的大小上限。 |
| maxOutputSizeInTokens |
integer (int32) |
限制輸出中內容的大小上限。 |
| maxRuntimeInSeconds |
integer (int32) |
執行時間上限 (以秒為單位)。 |
| messages |
聊天訊息樣式輸入的清單。 |
|
| outputMode |
此擷取的輸出組態。 |
|
| retrievalReasoningEffort | KnowledgeRetrievalReasoningEffort: |
檢索推理努力的配置。 |
| toolName |
string |
要選取的工具。 在 KB 全域擷取時省略。 |
KnowledgeBaseRetrievalResponse
擷取回應的輸出合約。
KnowledgeBaseSearchIndexActivityArguments
代表執行搜尋索引擷取活動時所使用的引數。
| 名稱 | 類型 | Description |
|---|---|---|
| filter |
string |
篩選字串。 |
| queryType |
執行搜尋所使用的查詢語法。 查詢提示可能導致語意查詢使用完整的查詢語法。 |
|
| search |
string |
用來查詢搜尋索引的搜尋字串。 |
| searchFields |
搜尋的欄位是哪些。 |
|
| semanticConfigurationName |
string |
搜尋索引中使用了什麼語意配置? |
| sourceDataFields |
選取了哪些欄位進行搜尋。 |
KnowledgeBaseSearchIndexActivityRecord
代表搜尋索引擷取活動記錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryHintProcessing |
關於此活動中查詢提示所產生表達式的詳細資訊。 |
|
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| searchIndexArguments |
擷取活動的搜尋索引引數。 |
|
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
search |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
KnowledgeBaseSearchIndexReference
代表 Azure 搜尋服務檔參考。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| citationUrl |
string (uri) |
一個由搜尋擁有的網址,指向此參考文獻的後盾文件,可用作引用目標。 |
| docKey |
string |
參考的文件索引鍵。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| searchSensitivityLabelInfo |
參考文獻的敏感度標籤資訊。 |
|
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
search |
參考的類型。 |
KnowledgeBaseWebActivityArguments
代表網頁檢索活動所用的論點。
| 名稱 | 類型 | Description |
|---|---|---|
| count |
integer (int32) |
回傳的網頁結果數量。 |
| freshness |
string |
取回活動的新鮮度。 |
| language |
string |
取回活動的語言。 |
| market |
string |
這是回收活動的市場。 |
| search |
string |
用來查詢網路的搜尋字串。 |
KnowledgeBaseWebActivityRecord
代表網路檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
web |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
| webArguments |
網路上的論點支持檢索活動。 |
KnowledgeBaseWebReference
代表網頁文件參照。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| sourceData |
參考資料的來源資料。 |
|
| title |
string |
Web 文件的標題。 |
| type |
string:
web |
參考的類型。 |
| url |
string (uri) |
參考資料的來源 URL。 |
KnowledgeBaseWorkIQActivityArguments
代表 WorkIQ 檢索活動所用的參數。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
用來查詢 WorkIQ 知識來源的搜尋字串。 |
KnowledgeBaseWorkIQActivityRecord
代表 WorkIQ 檢索活動紀錄。
| 名稱 | 類型 | Description |
|---|---|---|
| completedAt |
string (date-time) |
活動結束的時間。 |
| count |
integer (int32) |
檢索到的足夠相關的文件計數,足以通過重新排名閾值。 |
| elapsedMs |
integer (int32) |
擷取活動的經過時間 (以毫秒為單位)。 |
| error |
說明作業失敗原因的錯誤詳細資料。 只有在活動未成功時,才會包含此屬性。 |
|
| id |
integer (int32) |
活動記錄的識別碼。 |
| imageServing |
關於此檢索活動影像服務的統計資料 |
|
| knowledgeSourceName |
string |
擷取活動的知識來源。 |
| queryTime |
string (date-time) |
此擷取活動的查詢時間。 |
| startedAt |
string (date-time) |
活動開始的時間。 |
| type |
string:
workIQ |
活動記錄的類型。 |
| warning |
string |
警告訊息顯示活動中可能出現的設定問題,例如因分數閾值、令牌限制截斷或逾時條件而丟棄文件。 |
| workIQArguments |
WorkIQ 關於檢索活動的論證。 |
KnowledgeBaseWorkIQReference
代表 WorkIQ 文件引用。
| 名稱 | 類型 | Description |
|---|---|---|
| activitySource |
integer (int32) |
參考的來源活動 ID。 |
| id |
string |
參考的 ID。 |
| rerankerScore |
number (float) |
文件參考的重新排名者分數。 |
| searchSensitivityLabelInfo |
參考文獻的敏感度標籤資訊。 |
|
| sourceData |
參考資料的來源資料。 |
|
| type |
string:
workIQ |
參考的類型。 |
KnowledgeRetrievalAutoReasoningEffort
檢索時自動選擇推理努力。 服務會將每個請求放在最便宜的層級,並只會在需要時逐步升級,直到服務最高可用層級。
| 名稱 | 類型 | Description |
|---|---|---|
| kind |
string:
auto |
那種推理努力。 |
KnowledgeRetrievalIntentType
要使用的知識庫組態類型。
| 值 | Description |
|---|---|
| semantic |
自然語言語意查詢意圖。 |
KnowledgeRetrievalLowReasoningEffort
以低推理工作量運行知識檢索。
| 名稱 | 類型 | Description |
|---|---|---|
| kind |
string:
low |
那種推理努力。 |
KnowledgeRetrievalMediumReasoningEffort
以中等推理努力運行知識檢索。
| 名稱 | 類型 | Description |
|---|---|---|
| kind |
string:
medium |
那種推理努力。 |
KnowledgeRetrievalMinimalReasoningEffort
以最少的推理工作執行知識檢索。
| 名稱 | 類型 | Description |
|---|---|---|
| kind |
string:
minimal |
那種推理努力。 |
KnowledgeRetrievalOutputMode
此擷取的輸出組態。
| 值 | Description |
|---|---|
| extractiveData |
直接從知識來源傳回資料,無需生成式變更。 |
| answerSynthesis |
合成回應承載的答案。 |
KnowledgeRetrievalReasoningEffortKind
擷取期間要使用的工作量。
| 值 | Description |
|---|---|
| minimal |
不會執行任何來源選取、查詢規劃或反覆搜尋。 |
| low |
在檢索期間使用低推理。 |
| medium |
在檢索過程中使用適量的推理。 |
| auto |
在取回時自動選擇推理努力,從最低層級逐步升級到所需程度。 |
KnowledgeRetrievalSemanticIntent
語意查詢意圖。
| 名稱 | 類型 | Description |
|---|---|---|
| search |
string |
要執行的語意查詢 |
| type |
string:
semantic |
意圖的類型。 |
KnowledgeSourceGraphProvenanceKind
基於圖形的知識檢索的來源文件行為。
| 值 | Description |
|---|---|
| none |
在不對來源文件進行水合的情況下,回傳圖表結果。 |
| hydrate |
同時還會從已設定的來源索引中回傳選取的來源文件。 |
KnowledgeSourceKind
知識來源的那種。
| 值 | Description |
|---|---|
| searchIndex |
從搜尋索引讀取資料的知識來源。 |
| azureBlob |
從 Azure Blob 儲存體讀取資料並將其擷取至搜尋索引的知識來源。 |
| indexedSharePoint |
一個讀取索引 SharePoint 資料的知識來源。 |
| indexedOneLake |
一個讀取索引 OneLake 資料的知識來源。 |
| indexedSql |
一個知識來源,能從 Azure SQL Database 或 SQL 受管理執行個體 擷取並匯入資料到搜尋索引。 |
| web |
一個能從網路讀取資料的知識來源。 |
| remoteSharePoint |
一個能從遠端 SharePoint 讀取資料的知識來源。 |
| workIQ |
一個讀取工作智商數據的知識來源 |
| file |
一個支援直接檔案上傳與索引的知識來源。 |
| mcpServer |
一個由MCP(模型情境協定)伺服器支持的知識來源。 |
| fabricDataAgent |
一個從 Fabric 資料代理擷取資料的知識來源。 |
| fabricOntology |
一個從 Microsoft Fabric 本體論中擷取資料的知識來源。 |
KnowledgeSourceResultsProcessing
控制知識來源的結果是否會被重新排序。
| 值 | Description |
|---|---|
| rerank |
這些知識來源的成果會經過重新排序的流程。 此為預設行為。 |
| none |
這些知識來源的結果可繞過重新排序,保留其底層順序。 |
McpServerKnowledgeSourceParams
指定 MCP 伺服器知識來源的執行參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
mcp |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
NoneVectorQueryTopicGraph
使用一般向量搜尋,不使用主題圖多樣化檢索。
| 名稱 | 類型 | Description |
|---|---|---|
| kind |
string:
none |
該使用的主題圖向量搜尋類型。 |
PurviewSensitivityLabelInfo
關於套用於文件上的敏感性標籤資訊
| 名稱 | 類型 | Description |
|---|---|---|
| color |
string |
如果已設定,UI 應該針對標籤顯示的色彩。 |
| displayName |
string |
敏感度標籤的顯示名稱。 |
| isEncrypted |
boolean |
指出敏感度標籤是否強制執行加密。 |
| priority |
integer (int32) |
套用敏感度標籤的優先順序。 |
| sensitivityLabelId |
string |
敏感度標籤的識別碼。 |
| toolTip |
string |
應在 UI 中針對標籤顯示的工具提示。 |
QueryType
指定搜尋查詢的語法。 預設值為 『simple』。 如果您的查詢使用 Lucene 查詢語法,請使用 'full',如果不需要查詢語法,請使用 'semantic'。
| 值 | Description |
|---|---|
| simple |
使用簡單的查詢語法進行搜尋。 搜尋文字是使用簡單的查詢語言來解譯,該語言允許 +、* 和 “” 等符號。 依預設,除非指定 searchFields 參數,否則會在所有可搜尋欄位中評估查詢。 |
| full |
使用完整的 Lucene 查詢語法進行搜尋。 搜尋文字會使用 Lucene 查詢語言解譯,該語言允許欄位特定和加權搜尋,以及其他進階功能。 |
| semantic |
最適合以自然語言而不是關鍵字表達的查詢。 通過使用在 Web 語料庫上訓練的排名模型重新排名排名排名,提高搜索結果的準確性。 |
| agentic |
使用代理模型在單一索引內產生查詢並重新排序搜尋結果。 需要非空的自然語言搜尋文字。 |
RemoteSharePointKnowledgeSourceParams
指定遠端 SharePoint 知識來源的執行階段參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| filterExpressionAddOn |
string |
套用至 SharePoint 資料來源的篩選條件。 它必須在關鍵字查詢語言語法中指定。 它將與知識來源定義中指定的篩選運算式結合。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
remote |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
SearchIndexFieldReference
搜尋索引的欄位參考。
| 名稱 | 類型 | Description |
|---|---|---|
| name |
string |
欄位的名稱。 |
SearchIndexKnowledgeSourceBoostKind
這是搜尋索引資訊來源的提升提示。
| 值 | Description |
|---|---|
| fieldValue |
根據欄位值提升文件。 |
| multiWordExpression |
根據多詞表達式提升文件。 |
SearchIndexKnowledgeSourceFieldValueBoost
一個提示,根據欄位值提升文件。
| 名稱 | 類型 | Description |
|---|---|---|
| boost |
number (double) |
文件分數的乘數。 必須是不等於 1.0 的正數。 |
| boostInstructions |
string |
自然語言說明何時以及如何施加加成。 |
| field |
string minLength: 1 |
搜尋索引欄位的名稱。 |
| fieldValues |
string[] |
該場的代表性值。 |
| kind |
string:
field |
那種加速提示。 |
SearchIndexKnowledgeSourceFilterHint
一個用來識別欄位的提示,以及查詢規劃器在建立篩選條件時可以使用的詳盡基礎值。
| 名稱 | 類型 | Description |
|---|---|---|
| autoConfiguration |
設定服務以解析欄位各面的接地值。 它的存在可啟用自動設定。 欄位必須具備可篩選性且可面式。 當目標索引啟用文件層級權限或啟用 Purview 敏感度標籤時,不支援此限制;此限制會在知識來源建立/更新及知識庫檢索時驗證。 與 |
|
| field |
string minLength: 1 |
可篩選搜尋索引欄位的名稱。 |
| fieldValues |
string[] |
該領域的完整數值集合。 最多 160 個值,每個值最多 128 個字元,總共 2048 個字元。 在支援 |
| filterInstructions |
string |
自然語言教學,說明何時以及如何在場上篩選。 |
SearchIndexKnowledgeSourceFilterHintAutoConfiguration
自動從目標索引面板解析濾鏡提示的接地值。
| 名稱 | 類型 | Description |
|---|---|---|
| cacheTtl |
integer (int32) minimum: 60maximum: 3600 |
解析的分面數會被快取。 專用服務允許的範圍為 60 至 3600,無伺服器服務則為 60 至 900。 若省略,專用服務預設為 3600 秒,無伺服器服務則為 900 秒。 |
| maxFacetValueCount |
integer (int32) minimum: 1maximum: 64 |
用作接地的最大面數值。 預設為 64;允許的範圍為 1 到 64。 數值依面數由多到低排列選取,並受與手動篩選器值相同的 2048 字元合併長度限制及每值 128 字元限制。 |
SearchIndexKnowledgeSourceMultiWordExpressionBoost
一個基於多字表達式提升文件的提示。
| 名稱 | 類型 | Description |
|---|---|---|
| boost |
number (double) |
文件分數的乘數。 必須是不等於 1.0 的正數。 |
| boostInstructions |
string |
自然語言說明何時以及如何施加加成。 |
| fieldValues |
string[] |
代表性的加速值。 |
| kind |
string:
multi |
那種加速提示。 |
SearchIndexKnowledgeSourceParams
指定搜尋索引知識來源的執行階段參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| filterAddOn |
string |
套用至索引的篩選條件 (例如,'State eq VA')。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
search |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| queryHintOverrides |
引導查詢規劃的提示,幫助你找到有用的篩選與提升。 若有指定,此物件將取代知識來源上完整設定的查詢提示集合。 |
|
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
|
| topicGraph | VectorQueryTopicGraph: |
在此擷取時覆寫知識來源儲存的 topicGraph。 若省略,則適用儲存的知識來源值。 |
SearchIndexKnowledgeSourceQueryHints
指引查詢規劃,為搜尋索引知識來源提供有用的篩選與提升。
| 名稱 | 類型 | Description |
|---|---|---|
| boosts | SearchIndexKnowledgeSourceBoost[]: |
提升提示,指出查詢規劃者可用來影響文件排名的條件。 |
| filters |
篩選提示,識別欄位與代表性值,查詢規劃器在構建篩選時可用。 |
ServedImage
描述模型在檢索活動中選擇提供的單一影像。
| 名稱 | 類型 | Description |
|---|---|---|
| imageId |
string |
圖片標籤是透過內容理解豐富從原始文件擷取的。 與原始文件中的數字編號相符。 |
| imagePath |
string |
資產商店中圖片的相對路徑。 |
| sizeBytes |
integer (int64) |
此影像的大小(以位元組計)傳送給模型。 |
VectorSearchTopicGraphKind
該使用的主題圖向量搜尋類型。
| 值 | Description |
|---|---|
| none |
當主題圖的多樣化檢索失效時,請使用一般向量搜尋。 |
| diverse |
使用主題圖譜多樣化檢索。 |
| balanced |
將純向量相似性與多樣性感知檢索結合。 建議預設選擇在多樣性與相關性之間取得平衡。 |
WebKnowledgeSourceParams
指定 Web 知識來源的執行階段參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| count |
integer (int32) |
要傳回的 Web 結果數目。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| freshness |
string |
網路結果的新鮮度。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
web |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| language |
string |
網路結果的語言。 |
| market |
string |
網絡結果的市場。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |
WorkIQKnowledgeSourceParams
指定 WorkIQ 知識來源的執行時參數
| 名稱 | 類型 | Description |
|---|---|---|
| alwaysQuerySource |
boolean |
表示此知識來源應該略過來源選取,並一律在擷取時進行查詢。 |
| enableImageServing |
boolean |
指示檢索時是否應啟用影像服務。 若屬實,擷取時擷取的影像會傳送至下游模型。 |
| failOnError |
boolean |
表示如果從此知識來源的檢索遇到錯誤,整個檢索請求應該會失敗。 預設為 False。 |
| includeReferenceSourceData |
boolean |
指出參照是否應該在其承載中包含擷取期間取得的結構化資料。 |
| includeReferences |
boolean |
指出是否應包含從此來源擷取的資料的參考。 |
| kind |
string:
workIQ |
知識來源的類型。 |
| knowledgeSourceName |
string |
參數套用的索引名稱。 |
| maxOutputDocuments |
integer (int32) |
限制從此知識來源回傳的文件數量。 |
| neverQuerySource |
boolean |
表示此知識來源應排除在請求的候選集合中,且檢索時絕不查詢。 排除為請求本地,且不會修改知識庫成員資格。 無法在同一個知識來源上與 alwaysQuerySource 合併使用。 |
| rerankerThreshold |
number (float) |
所有擷取的文件都必須符合重新排序器臨界值,才能包含在回應中。 |
| resultsProcessing |
僅覆蓋知識來源儲存的結果,處理此擷取呼叫。 若省略,則適用儲存的知識來源值。 |